<?php
/*
Simple:Press
Report Posts Plugin Support Routines
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_report_post_do_header() {
	$css = sp_find_css(RPCSS, 'sp-report-post.css');
    sp_plugin_enqueue_style('sp-report', $css);
}

function sp_report_post_uninstall_option_links($actionlink, $plugin) {
	if ($plugin == 'report-post/sp-report-post-plugin.php') {
	    $url = SFADMINPLUGINS.'&amp;action=uninstall&amp;plugin='.$plugin.'&amp;sfnonce='.wp_create_nonce('forum-adminform_plugins');
	    $actionlink.= "&nbsp;&nbsp;<a href='$url' title='".__('Uninstall this plugin', 'sp-report')."'>".__('Uninstall', 'sp-report').'</a>';
	    $url = SFADMINOPTION.'&amp;tab=email';
	    $actionlink.= "&nbsp;&nbsp;<a href='$url' title='".__('Options', 'sp-report')."'>".__('Options', 'sp-report').'</a>';
 	}
	return $actionlink;
}

function spReportPostTemplateName($name, $pageview) {
	if ($pageview != 'report-post') return $name;
	# locate template - check if in theme if not use plugin
	$tempName = sp_find_template(RPTEMPDIR, 'spReportPostView.php');
	return $tempName;
}

function spReportPostPageTitle($title, $sep) {
    global $spVars;

	$sfseo = sp_get_option('sfseo');
	if ($sfseo['sfseo_page'] && $spVars['pageview'] == 'report-post') $title = __('Report Post', 'sp-report').$sep.$title;
    return $title;
}

function spReportPostCanonicalUrl($url) {
    global $spVars;

    if ($spVars['pageview'] == 'report-post') $url = sp_url('report-post');
    return $url;
}

function sp_ReportPostFormTag() {
	global $spThisUser;

	$out = '';
	if (isset($_POST['rpurl'])) {
		$returnurl = sp_permalink_from_postid(sp_esc_int($_POST['rppost']));
		sp_add_transient(3, $returnurl);
	} else {
		$returnurl = sp_get_transient(3, true);
	}

	# Check and validate user
	if ($spThisUser->ID != $_POST['rpuser']) {
		if (!is_user_logged_in()) {
			$msg = __('Access denied - are you logged in?', 'sp-pm');
		} else {
			$msg = __('Access denied - you do not have permission', 'sp-pm');
		}
		sp_notify(1, $msg);
		$out.= sp_render_queued_notification();
		$out.= '<a href="'.$returnurl.'" />'.__('Return', 'sp-report').'</a>';
		echo $out;
		return;
	}

	$postcontent = spdb_table(SFPOSTS, 'post_id='.sp_esc_int($_POST['rppost']), 'post_content');
	$postcontent = sp_filter_content_display($postcontent);

	$out.= '<div id="spReportPost">';
	$out.= '<br />';
	$out.= '<fieldset>';
	$out.= '<legend>'.__('Report Questionable Post', 'sp-report').'</legend>';
	$out.= '<span class="spLabel">'.__('Poster', 'sp-report').': </span><br />'.stripslashes($_POST['rpposter']).'<br /><br />';
	$out.= '<span class="spLabel">'.__('Post Content', 'sp-report').': </span><br />'.$postcontent;
	$out.= "<form method='post' action='$returnurl'>";
	$out.= '<input type="hidden" tabindex="0" name="posturl" id="posturl" value="'.esc_attr($returnurl).'" />';
	$out.= '<input type="hidden" tabindex="0" name="postauthor" id="postauthor" value="'.$_POST['rpposter'].'" />';
	$out.= '<input type="hidden" tabindex="0" name="postcontent" id="postcontent" value="'.esc_attr($postcontent).'" />';
	$out.= '<br /><span class="spLabel">'.__('Your Comments On this Post', 'sp-report').':</span> ('.__('Required', 'sp-report').')';
	$out.= '<br /><textarea class="spControl" name="postreport" rows="10" ></textarea>';
	$out.= '<br /><br /><input type="submit" tabindex="100" class="spSubmit" name="sendrp" value="'.__('Send Post Report', 'sp-report').'" />';
	$out.= '<input type="Submit" class="spSubmit" name="button5" value="'.__('Return to Forum', 'sp-report').'" onclick="spjReDirect(\''.$returnurl.'\');" />';
	$out.= '</form>';
	$out.= '</fieldset>';
	$out.= '</div>';

	$out = apply_filters('sph_ReportPost', $out);
	echo $out;
}

function spReportPostSendEmail() {
	global $spThisUser;

	$eol = "\r\n";
	$msg = '';

	# if either the posturl or the comments are empty then just forget it
	if (empty($_POST['posturl']) || empty($_POST['postreport'])) return;

	# clean up the content for the plain text email
    $post_content = stripslashes($_POST['postcontent']);
	$post_content = html_entity_decode($post_content, ENT_QUOTES);
	$post_content = sp_filter_content_display($post_content);
	$post_content = str_replace('&nbsp;', ' ', $post_content);
	$post_content = strip_tags($post_content);

	if ($spThisUser->guest) {
		$reporter = __('A guest visitor', 'sp-report');
	} else {
		# if it got ths far but there is no display name then it's bogus - leave
		if (empty($spThisUser->display_name)) return;
		$reporter = __('Member', 'sp-report').' '.sp_filter_name_display($spThisUser->display_name);
	}

	$msg.= sprintf(__('%s has reported the following post as questionable', 'sp-report'), $reporter).$eol.$eol;
	$msg.= $_POST['posturl'].$eol;
	$msg.= stripslashes($_POST['postauthor']).$eol;
	$msg.= $post_content.$eol.$eol;
	$msg.= __('Comments', 'sp-report').$eol;
	$msg.= $_POST['postreport'].$eol;

	$option = sp_get_option('report-post');
	$email_list = sp_filter_text_edit($option['email-list']);
	$email_sent = sp_send_email($email_list, sprintf(__('[%s] questionable post report', 'sp-report'), get_option('blogname')), $msg);

	if ($email_sent[0]) {
		$returnmsg = 0;
	} else {
		$returnmsg = 1;
	}
	sp_notify($returnmsg, $email_sent[1]);
}
?>