<?php
/*
Simple:Press Plugin Title: Report Post
Version: 1.2.3
Plugin URI: http://simple-press.com
Description: A Simple:Press plugin for reporting a post with questionable content
Author: Andy Staines & Steve Klasen
Author URI: http://simple-press.com
Simple:Press Versions: 5.2 and above
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

global $spDevice;

# IMPORTANT DB VERSION
define('SPRPDBVERSION', 1);

define('RPDIR', 		SFPLUGINDIR.'report-post/');
define('RPADMINDIR', 	SFPLUGINDIR.'report-post/admin/');
define('RPLIBDIR', 		SFPLUGINDIR.'report-post/library/');
define('RPTAGSDIR', 	SFPLUGINDIR.'report-post/template-tags/');
define('RPTEMPDIR', 	SFPLUGINDIR.'report-post/template-files/');
define('RPIMAGES',	 	SFPLUGINURL.'report-post/resources/images/');
define('RPIMAGESMOB',	SFPLUGINURL.'report-post/resources/images/mobile/');
define('RPCSS', 		SFPLUGINURL.'report-post/resources/css/');

add_action('init', 											              'sp_report_post_localization');
add_action('sph_activate_report-post/sp-report-post-plugin.php', 	      'sp_report_post_install');
add_action('sph_deactivate_report-post/sp-report-post-plugin.php',	      'sp_report_post_deactivate');
add_action('sph_uninstall_report-post/sp-report-post-plugin.php', 	      'sp_report_post_uninstall');
add_action('sph_get_query_vars', 									      'sp_report_post_get_query_vars');
add_action('sph_get_def_query_vars', 								      'sp_report_post_get_def_query_vars');
add_action('sph_options_email_right_panel', 						      'sp_report_post_admin_options');
add_action('sph_option_email_save', 								      'sp_report_post_admin_save_options');
add_action('sph_print_plugin_styles', 								      'sp_report_post_header');
add_action('sph_plugin_update_creport-post/sp-report-post-plugin.php',    'sp_report_post_upgrade_check');
add_action('admin_footer',                                                'sp_report_post_upgrade_check');
add_action('sph_setup_forum',                                             'sp_report_post_setup_forum');
add_action('sph_permissions_reset',                                       'sp_report_post_reset_permissions');

add_filter('sph_plugins_active_buttons', 	'sp_report_post_uninstall_option', 10, 2);
add_filter('sph_admin_help-admin-options', 	'sp_report_post_admin_help', 10, 3);
add_filter('sph_rewrite_rules_start', 		'sp_report_post_rewrite_rules', 10, 3);
add_filter('sph_query_vars', 				'sp_report_post_query_vars');
add_filter('sph_pageview', 					'sp_report_post_pageview');
add_filter('sph_canonical_url', 			'sp_report_post_canonical_url');
add_filter('sph_page_title', 				'sp_report_post_page_title', 10, 2);
add_filter('sph_DefaultViewTemplate',		'sp_report_post_template_name', 10, 2);

function sp_report_post_admin_options() {
    include_once(RPADMINDIR.'sp-report-post-admin-options.php');
	sp_report_post_admin_options_form();
}

function sp_report_post_admin_save_options() {
    include_once(RPADMINDIR.'sp-report-post-admin-options-save.php');
    return sp_report_post_admin_options_save();
}

function sp_report_post_admin_help($file, $tag, $lang) {
    if ($tag == '[report-post]') $file = RPADMINDIR.'sp-report-post-admin-help.'.$lang;
    return $file;
}

function sp_report_post_uninstall_option($actionlink, $plugin) {
    include_once(RPLIBDIR.'sp-report-post-components.php');
    $actionlink = sp_report_post_uninstall_option_links($actionlink, $plugin);
	return $actionlink;
}

function sp_report_post_localization() {
	sp_plugin_localisation('sp-report');
}

function sp_report_post_uninstall() {
    include_once(RPDIR.'sp-report-post-uninstall.php');
    sp_report_post_do_uninstall();
}

function sp_report_post_install() {
    include_once(RPDIR.'sp-report-post-install.php');
    sp_report_post_do_install();
}

function sp_report_post_deactivate() {
    # deactivation so make our auth not active
    sp_deactivate_auth('report_posts');
}

function sp_report_post_upgrade_check() {
    include_once(RPDIR.'sp-report-post-upgrade.php');
    sp_report_post_do_upgrade_check();
}

function sp_report_post_reset_permissions() {
    include_once(RPDIR.'sp-report-post-install.php');
    sp_report_post_do_reset_permissions();
}

function sp_report_post_header() {
    include_once(RPLIBDIR.'sp-report-post-components.php');
    sp_report_post_do_header();
}

function sp_report_post_rewrite_rules($rules, $slugmatch, $slug) {
    # online rewrite rules
	$rules[$slugmatch.'/report-post/?$'] = 'index.php?pagename='.$slug.'&sf_report=view';
    return $rules;
}

function sp_report_post_query_vars($vars) {
	$vars[] = 'sf_report';
    return $vars;
}

function sp_report_post_get_query_vars() {
    global $spVars;
	$spVars['report-post'] = sp_esc_str(get_query_var('sf_report'));
	if (empty($spVars['report-post'])) $spVars['report-post'] = 0;
}

function sp_report_post_get_def_query_vars($stuff) {
    global $spVars;
    if ($stuff[1] == 'report-post') {
        $spVars['report-post'] = true;
        $spVars['plugin-vars'] = true;
    }
	if (empty($spVars['report-post'])) $spVars['report-post'] = 0;
}

function sp_report_post_pageview($pageview) {
    global $spVars;
    if (!empty($spVars['report-post'])) $pageview = 'report-post';
    return $pageview;
}

function sp_report_post_canonical_url($url) {
    include_once(RPLIBDIR.'sp-report-post-components.php');
    $url = spReportPostCanonicalUrl($url);
    return $url;
}

function sp_report_post_page_title($title, $sep) {
    include_once(RPLIBDIR.'sp-report-post-components.php');
    $title = spReportPostPageTitle($title, $sep);
    return $title;
}

function sp_report_post_template_name($name, $pageview) {
    include_once(RPLIBDIR.'sp-report-post-components.php');
    $name = spReportPostTemplateName($name, $pageview);
    return $name;
}

function sp_ReportPostForm() {
    include_once(RPLIBDIR.'sp-report-post-components.php');
    sp_ReportPostFormTag();
}

function sp_report_post_setup_forum() {
	if (isset($_POST['sendrp'])) {
	    include_once(RPLIBDIR.'sp-report-post-components.php');
		spReportPostSendEmail();
	}
}

# Define Template Tags globally available
function sp_PostIndexReportPost($args='', $label='', $toolTip='') {
    include_once(RPTAGSDIR.'sp-report-post-tag.php');
    sp_PostIndexReportPostTag($args, $label, $toolTip);
}

?>