<?php
/*
$LastChangedDate: 2013-08-23 12:55:44 -0700 (Fri, 23 Aug 2013) $
$Rev: 10569 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_PostIndexReportPostTag($args='', $label='', $toolTip='') {
	global $spThisUser, $spThisPost, $spThisPostUser, $spThisTopic, $spDevice;

	if (!sp_get_auth('report_posts', $spThisTopic->forum_id)) return;
	if ($spThisPostUser->admin && !sp_get_auth('view_admin_posts', $spThisTopic->forum_id)) return;
	if (sp_get_auth('view_own_admin_posts', $spThisTopic->forum_id) && !sp_is_forum_admin($spThisPostUser->ID) && !sp_is_forum_mod($spThisPostUser->ID) && $spThisUser->ID != $spThisPostUser->ID) return;

	$defs = array('tagId' 		=> 'spPostIndexReport%ID%',
				  'tagClass' 	=> 'spPostReportPost',
				  'icon' 		=> 'sp_ReportPost.png',
				  'iconClass'	=> 'spIcon'
				  );
	$a = wp_parse_args($args, $defs);
	$a = apply_filters('sph_PostIndexReportPost_args', $a);
	extract($a, EXTR_SKIP);

	# sanitize before use
	$tagId		= esc_attr($tagId);
	$tagClass	= esc_attr($tagClass);
	$p = ($spDevice=='mobile') && (defined('SP_MOBILE_THEME') && SP_MOBILE_THEME) ? RPIMAGESMOB : RPIMAGES;
	$icon		= sp_find_icon($p, sanitize_file_name($icon));
	$iconClass 	= esc_attr($iconClass);
	$toolTip	= esc_attr($toolTip);

	$tagId = str_ireplace('%ID%', $spThisPost->post_id, $tagId);

	$out = '';
	$out.= '<form class="sfhiddenform" action="'.sp_url('report-post').'" method="post" name="report'.$spThisPost->post_id.'">';
	$out.= '<input type="hidden" class="sfhiddeninput" name="rpurl" value="'.esc_attr($spThisPost->post_permalink).'" />';
	$out.= '<input type="hidden" class="sfhiddeninput" name="rpuser" value="'.$spThisUser->ID.'" />';
	$out.= '<input type="hidden" class="sfhiddeninput" name="rppost" value="'.$spThisPost->post_id.'" />';
	$out.= '<input type="hidden" class="sfhiddeninput" name="rpposter" value="'.esc_attr($spThisPostUser->display_name).'" />';
	$out.= "<a class='$tagClass vtip' id='$tagId' title='$toolTip' rel='nofollow' href='javascript:document.report$spThisPost->post_id.submit()'>";
	if (!empty($icon)) $out.= "<img class='$iconClass' src='".$icon."' alt=''/>";
	$out.= sp_filter_title_display($label);
	$out.= '</a>';
	$out.= "</form>\n";

	$out = apply_filters('sph_PostIndexReportPost', $out, $a);
	echo $out;
}

?>